Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the YAML-Syck CPAN distribution.

Report information
The Basics
Id:
17080
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
scottkinsf [...] yahoo.com
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
0.24
Fixed in:
(no value)



Subject: TestYAML dependency not specified (ver. 0.25)
When trying to build YAML-Syck-0.25, testing fails with: PERL_DL_NONLAZY=1 /usr/bin/perl5.8.7 "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/1-basic......Can't locate t/TestYAML.pm in @INC (@INC contains: /usr/src/RPM/BUILD/YAML-Syck-0.25/inc /usr/src/RPM/BUILD/YAML-Syck-0.25/blib/lib /usr/src/RPM/BUILD/YAML-Syck-0.25/blib/arch /usr/lib/perl5/5.8.7/i386-linux /usr/lib/perl5/5.8.7 /usr/lib/perl5/site_perl/5.8.7/i386-linux /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.7/i386-linux /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.6/i386-linux /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl .) at t/1-basic.t line 1. BEGIN failed--compilation aborted at t/1-basic.t line 1. Looks like two problems to me, 1. I see YAML-0.51 now includes the module Test::YAML, not TestYAML 2. No require dependency for YAML 0.51 in META.yml


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.